OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlData

# VrmlData_ImageTexture Class Reference

`#include <VrmlData_ImageTexture.hxx>`

Inheritance diagram for VrmlData_ImageTexture:

[legend]

## Public Member Functions
| VrmlData_ImageTexture ()
Standard_EXPORT | VrmlData_ImageTexture (const VrmlData_Scene &theScene, const char *theName, const char *theURL=0L, const Standard_Boolean theRepS=Standard_False, const Standard_Boolean theRepT=Standard_False)
const NCollection_List< TCollection_AsciiString > & | URL () const
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
## Private Attributes
NCollection_List< TCollection_AsciiString > | myURL

## Detailed Description

Implementation of the ImageTexture node

## Constructor & Destructor Documentation

VrmlData_ImageTexture::VrmlData_ImageTexture | ( |  | ) | `[inline]`

| Empty constructor

Standard_EXPORT VrmlData_ImageTexture::VrmlData_ImageTexture | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const char * | theURL = `0L`,
|  | const Standard_Boolean | theRepS = `Standard_False`,
|  | const Standard_Boolean | theRepT = `Standard_False`
| ) |

| Constructor

## Member Function Documentation

virtual Standard_EXPORT VrmlData_ImageTexture::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_ImageTexture::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the Node from input stream. Implements VrmlData_Node.

const NCollection_List<TCollection_AsciiString>& VrmlData_ImageTexture::URL | ( |  | ) | const`[inline]`

| Query the associated URL.

## Field Documentation

NCollection_List<TCollection_AsciiString> VrmlData_ImageTexture::myURL`[private]`

The documentation for this class was generated from the following file:

- VrmlData_ImageTexture.hxx